Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Add elements to the element settings.

Add elements to the element settings. Add a list of architecture elements to the element settings of a warehouse

Security: Manager of the process space.

PUT/v1/warehouses/{warehouseId}/preferences/architecture/elements
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

Request-Body
erforderlichapplication/json

Array of element keys

Array von ArchitectureElementType
string
Antworten
200

Added architecture element settings

Array von ArchitectureElementSetting
activatedActionStamperforderlich
Eigenschaften anzeigen
instantstring<date-time>erforderlich
userIdstringerforderlich
conceptualClassArchitectureElementTypeerforderlich
Erlaubt:ApplicationCollaborationApplicationComponentApplicationEventApplicationFunctionApplicationInteractionApplicationInterfaceApplicationProcessApplicationServiceArchitectureElementArtifactAssessmentBusinessActorBusinessCollaborationBusinessEventBusinessFunctionBusinessInteractionBusinessInterfaceBusinessObjectBusinessProcessBusinessRoleBusinessServiceCapabilityCommunicationNetworkCommunicationPathConstraintContractCourseOfActionDataObjectDeliverableDeviceDistributionNetworkDriverEquipmentFacilityGapGoalGroupingImplementationEventLocationMaterialMeaningNodeOutcomePlateauPrincipleProductRepresentationRequirementResourceStakeholderSystemSoftwareTechnologyCollaborationTechnologyEventTechnologyFunctionTechnologyInteractionTechnologyInterfaceTechnologyProcessTechnologyServiceValueValueStreamWorkPackage
requiredFeaturesstring[]erforderlich
403

Forbidden: insufficient permissions

string
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X PUT 'https://goto.bpanda.com/api/v1/warehouses/string/preferences/architecture/elements' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '[
  "ApplicationCollaboration"
]'
Antwort
[
  {
    "activated": {
      "instant": "2019-08-24T14:15:22Z",
      "userId": "string"
    },
    "conceptualClass": "ApplicationCollaboration",
    "requiredFeatures": [
      "string"
    ]
  }
]